summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Damian Perticone <mjolnirdam@gmail.com>2022-04-30 13:35:53 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-04-30 13:52:15 +0700
commit5850a1c285d7a16469ebe6ae55519e2d0accc063 (patch)
tree02d0ba234354bae2eebd19ddb8bcd8eb0ec0c9a8 /desktop
parentc46cb78f18c16d5f58ca57929e7daa5926dab4ef (diff)
downloadslackbuilds-5850a1c285d7a16469ebe6ae55519e2d0accc063.tar.gz
slackbuilds-5850a1c285d7a16469ebe6ae55519e2d0accc063.tar.xz
desktop/wayfire: Added (3D wayland compositor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/wayfire/README25
-rw-r--r--desktop/wayfire/slack-desc19
-rw-r--r--desktop/wayfire/wayfire.SlackBuild121
-rw-r--r--desktop/wayfire/wayfire.info10
4 files changed, 175 insertions, 0 deletions
diff --git a/desktop/wayfire/README b/desktop/wayfire/README
new file mode 100644
index 0000000000..730a652f07
--- /dev/null
+++ b/desktop/wayfire/README
@@ -0,0 +1,25 @@
+Wayfire is a 3D Wayland compositor, inspired by Compiz and
+based on wlroots.
+
+It aims to create a customizable, extendable and lightweight environment
+without sacrificing its appearance.
+
+Session Provider (optional, recommended)
+
+•systemd or
+•elogind or
+•seatd
+
+XWayland Support (optional)
+
+•xcb
+•xcb-composite
+•xcb-render
+•xcb-xfixes
+
+X11 Backend (optional)
+
+•xcb
+•x11-xcb
+•xcb-xinput
+•xcb-xfixes
diff --git a/desktop/wayfire/slack-desc b/desktop/wayfire/slack-desc
new file mode 100644
index 0000000000..628ef9fd84
--- /dev/null
+++ b/desktop/wayfire/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wayfire: wayfire (3D wayland compositor environment based on wlroots)
+wayfire:
+wayfire: Wayfire is a 3D Wayland compositor inspired in Compiz and based
+wayfire: on wlroots. It aims to create a customizable, extendable and
+wayfire: lightweight environment without sacrificing its appearance.
+wayfire:
+wayfire:
+wayfire: Home: https://wayfire.org/2021/01/29/Wayfire-0-7.html
+wayfire:
+wayfire:
+wayfire:
diff --git a/desktop/wayfire/wayfire.SlackBuild b/desktop/wayfire/wayfire.SlackBuild
new file mode 100644
index 0000000000..0537ca2b93
--- /dev/null
+++ b/desktop/wayfire/wayfire.SlackBuild
@@ -0,0 +1,121 @@
+#!/bin/bash
+
+# Slackware build script for wayfire
+
+# Copyright 2022 Damian Perticone Berisso, Argentina
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=wayfire
+VERSION=${VERSION:-0.7.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-txz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Dstrip=true \
+ -Denable_gles32=true \
+ -Duse_system_wfconfig=enabled \
+ -Duse_system_wlroots=enabled \
+ -Dxwayland=enabled \
+ -Ddefault_config_backend=default \
+ -Dprint_trace=true \
+
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CONTRIBUTING.md LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/wayfire/wayfire.info b/desktop/wayfire/wayfire.info
new file mode 100644
index 0000000000..bab140d983
--- /dev/null
+++ b/desktop/wayfire/wayfire.info
@@ -0,0 +1,10 @@
+PRGNAM="wayfire"
+VERSION="0.7.3"
+HOMEPAGE="https://wayfire.org"
+DOWNLOAD="https://github.com/WayfireWM/wayfire/releases/download/v0.7.3/wayfire-0.7.3.tar.xz"
+MD5SUM="795c4b2f4051eddaed12d07277371544"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="wlroots wf-config"
+MAINTAINER="Damian Perticone"
+EMAIL="mjolnirdam@gmail.com"